Loading...
Searching...
No Matches
jni::TypedMethods< jdouble > Struct Reference

`#include <typed_methods.hpp>`

## Static Public Attributes

static constexpr auto | CallMethod = &JNIEnv::CallDoubleMethod
static constexpr auto | CallNonvirtualMethod = &JNIEnv::CallNonvirtualDoubleMethod
static constexpr auto | GetField = &JNIEnv::GetDoubleField
static constexpr auto | SetField = &JNIEnv::SetDoubleField
static constexpr auto | CallStaticMethod = &JNIEnv::CallStaticDoubleMethod
static constexpr auto | GetStaticField = &JNIEnv::GetStaticDoubleField
static constexpr auto | SetStaticField = &JNIEnv::SetStaticDoubleField
static constexpr auto | NewArray = &JNIEnv::NewDoubleArray
static constexpr auto | GetArrayElements = &JNIEnv::GetDoubleArrayElements
static constexpr auto | ReleaseArrayElements = &JNIEnv::ReleaseDoubleArrayElements
static constexpr auto | GetArrayRegion = &JNIEnv::GetDoubleArrayRegion
static constexpr auto | SetArrayRegion = &JNIEnv::SetDoubleArrayRegion

## Member Data Documentation

## CallMethod

auto jni::TypedMethods< jdouble >::CallMethod = &JNIEnv::CallDoubleMethod

static constexpr

## CallNonvirtualMethod

auto jni::TypedMethods< jdouble >::CallNonvirtualMethod = &JNIEnv::CallNonvirtualDoubleMethod

static constexpr

## CallStaticMethod

auto jni::TypedMethods< jdouble >::CallStaticMethod = &JNIEnv::CallStaticDoubleMethod

static constexpr

## GetArrayElements

auto jni::TypedMethods< jdouble >::GetArrayElements = &JNIEnv::GetDoubleArrayElements

static constexpr

## GetArrayRegion

auto jni::TypedMethods< jdouble >::GetArrayRegion = &JNIEnv::GetDoubleArrayRegion

static constexpr

## GetField

auto jni::TypedMethods< jdouble >::GetField = &JNIEnv::GetDoubleField

static constexpr

## GetStaticField

auto jni::TypedMethods< jdouble >::GetStaticField = &JNIEnv::GetStaticDoubleField

static constexpr

## NewArray

auto jni::TypedMethods< jdouble >::NewArray = &JNIEnv::NewDoubleArray

static constexpr

## ReleaseArrayElements

auto jni::TypedMethods< jdouble >::ReleaseArrayElements = &JNIEnv::ReleaseDoubleArrayElements

static constexpr

## SetArrayRegion

auto jni::TypedMethods< jdouble >::SetArrayRegion = &JNIEnv::SetDoubleArrayRegion

static constexpr

## SetField

auto jni::TypedMethods< jdouble >::SetField = &JNIEnv::SetDoubleField

static constexpr

## SetStaticField

auto jni::TypedMethods< jdouble >::SetStaticField = &JNIEnv::SetStaticDoubleField

static constexpr

The documentation for this struct was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/typed_methods.hpp